<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/SoundEvents/PlayerSoundEvents/PlayerSoundEventHandler.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d1b/_player_sound_event_handler_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">PlayerSoundEventHandler.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d5/d1b/_player_sound_event_handler_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ae40d08748e52403c01d49f8987673c88"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a> { <br />
&#160;&#160;<a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88abad4a3d400bea70cb05e54c467e39815">HOLD_BREATH</a> = 1
, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88a7cac1fd048ef27a686ddaa84741e6cab">EXHAUSTED_BREATH</a>
, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88a419fcb0c26438212da1879efab2f62a8">RELEASE_BREATH</a>
, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88ad669b1be048d39313c673d78456df47e">STAMINA_DOWN_LIGHT</a>
, <br />
&#160;&#160;<a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88ae2327858a43ce17045d42cc9f0b405b0">STAMINA_DOWN_HEAVY</a>
, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88a7eeada3c1dce39348f38c5c6bf9fdb42">STAMINA_UP_LIGHT</a>
, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88ae91797ed8edb88e9053c5c9ddfd431cd">STAMINA_UP_HEAVY</a>
, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88a5d1940cb9d2d4ebbe1b80d488bce2956">STAMINA_UP_END</a>
, <br />
&#160;&#160;<a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88aadbf8813851a6dd7044c05e2594dcf2d">STAMINA_NORMAL_DUMMY</a>
, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88a298886144b5cf7c912108780f6adfcda">TAKING_DMG_LIGHT</a>
, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88af9c7336ea4b049921f28feabcf6dcdf1">TAKING_DMG_HEAVY</a>
, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88ab05cc97eab17620dd93b01ef99706499">SYMPTOM_COUGH</a>
, <br />
&#160;&#160;<a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88a4c37a44a6b23a49814511b9fbfc98a13">SYMPTOM_LAUGHTER</a>
, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88a34b9a326c8de30b86e0f42bf797e8bca">SYMPTOM_SNEEZE</a>
, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88a1f28d4392b1c1e7da2af2283632d81e1">JUMP</a>
, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88a96c99db548ffedd6457fef046fb3d986">MELEE_ATTACK_LIGHT</a>
, <br />
&#160;&#160;<a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88ac2fc48b3bc6736ff390f89dd2a7ff553">INJURED_LIGHT</a>
, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88a5e16b6627d8f8887812b3e3a127fcad6">INJURED_MEDIUM</a>
, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88a8714844273b9eee9097baca00a121237">INJURED_HIGH</a>
, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88a75412e2bd8ba3afc57aea4165a1e26d3">FREEZING</a>
, <br />
&#160;&#160;<a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88a5b2eed487adc23f794cf34d514dc804f">HOT</a>
, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88a2e10359756b031acb8c64986abd62cba">SYMPTOM_FATIGUE</a>
, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88abae6f902626ccfb401146a9a6594e2fc">STAMINA_LOW_FILTER_UPPER</a>
, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88ae879c44fbfa1a07bdf9723192a85761b">STAMINA_LOW_FILTER_MID</a>
, <br />
&#160;&#160;<a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88aad447df8862421eaf711c33870a770a7">STAMINA_LOW_FILTER_LOWER</a>
, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88aca86827046e31a415cca40aec59c982e">DROWNING_BREATH</a>
, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88a4c44a649f15455011acbb5862a6d75d9">DROWNING_PAIN</a>
, <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88a3419c51ff893a0055351a7163edcb464">ENUM_COUNT</a>
<br />
 }</td></tr>
<tr class="separator:ae40d08748e52403c01d49f8987673c88"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ad5419526833f767a609bcc61dcccb4c2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ad5419526833f767a609bcc61dcccb4c2">PlayerSoundEventHandler</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:ad5419526833f767a609bcc61dcccb4c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ba8cb68065f9f1b712536da6aa7e4c0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#a7ba8cb68065f9f1b712536da6aa7e4c0">RegisterState</a> (<a class="el" href="../../d5/def/class_player_sound_event_base.html">PlayerSoundEventBase</a> state)</td></tr>
<tr class="separator:a7ba8cb68065f9f1b712536da6aa7e4c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5d7c03344a58c256752ec0476fbca54"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ad5d7c03344a58c256752ec0476fbca54">OnTick</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> delta_time)</td></tr>
<tr class="separator:ad5d7c03344a58c256752ec0476fbca54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbc0cf898c0e87750993f212a9d485d1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#afbc0cf898c0e87750993f212a9d485d1">ConvertAnimIDtoEventID</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> anim_id)</td></tr>
<tr class="separator:afbc0cf898c0e87750993f212a9d485d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee802e755cbd1f85eeae91a6ff5549f9"><td class="memItemLeft" align="right" valign="top">static override <a class="el" href="../../dd/d40/_player_sound_event_base_8c.html#a2f8cbb1a644e4997001af74fb86e1695">EPlayerSoundEventType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#aee802e755cbd1f85eeae91a6ff5549f9">GetSoundEventType</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> id)</td></tr>
<tr class="separator:aee802e755cbd1f85eeae91a6ff5549f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7f9de653cd121fb2608891ce7dc22fe"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#aa7f9de653cd121fb2608891ce7dc22fe">GetCurrentStateEventID</a> ()</td></tr>
<tr class="separator:aa7f9de653cd121fb2608891ce7dc22fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab514941aa875ea2e8db5576cb39b077f"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ab514941aa875ea2e8db5576cb39b077f">GetCurrentStateEventType</a> ()</td></tr>
<tr class="separator:ab514941aa875ea2e8db5576cb39b077f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69457de8322c541f2671e4df95fe891b"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#a69457de8322c541f2671e4df95fe891b">PlayRequestEx</a> (<a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a> id, <a class="el" href="../../d9/db9/classbool.html">bool</a> sent_from_server=false, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> param=0)</td></tr>
<tr class="separator:a69457de8322c541f2671e4df95fe891b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a6e663098fb4b5d1b228ad930e9c86e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#a0a6e663098fb4b5d1b228ad930e9c86e">PlayRequest</a> (<a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a> id, <a class="el" href="../../d9/db9/classbool.html">bool</a> sent_from_server=false)</td></tr>
<tr class="separator:a0a6e663098fb4b5d1b228ad930e9c86e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a9da29bb484e0b9d064b48de30b23eb42"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#a9da29bb484e0b9d064b48de30b23eb42">m_Player</a></td></tr>
<tr class="separator:a9da29bb484e0b9d064b48de30b23eb42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2145a41ed6ebb910b3b7b09ff5889f60"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#a2145a41ed6ebb910b3b7b09ff5889f60">SOUND_EVENTS_MAX</a> = <a class="el" href="../../d5/db4/_infected_sound_event_handler_8c.html#a41dace62081b7f7d505df9610a9576ffa3419c51ff893a0055351a7163edcb464">EPlayerSoundEventID.ENUM_COUNT</a></td></tr>
<tr class="separator:a2145a41ed6ebb910b3b7b09ff5889f60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02f59ef50a8dc63bfc40130dae0a1001"><td class="memItemLeft" align="right" valign="top">static ref <a class="el" href="../../d5/def/class_player_sound_event_base.html">PlayerSoundEventBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#a02f59ef50a8dc63bfc40130dae0a1001">m_AvailableStates</a> [<a class="el" href="../../d5/db4/_infected_sound_event_handler_8c.html#aae60661d07190bf13da5c55a93295501">SOUND_EVENTS_MAX</a>]</td></tr>
<tr class="separator:a02f59ef50a8dc63bfc40130dae0a1001"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accde710d7b23016f91131f9f52584b24"><td class="memItemLeft" align="right" valign="top">static ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#accde710d7b23016f91131f9f52584b24">m_ConfigIDToScriptIDmapping</a> = new ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>,<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&gt;</td></tr>
<tr class="separator:accde710d7b23016f91131f9f52584b24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a179f3bbad6a8ab6a21185ac9a238fe29"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d5/def/class_player_sound_event_base.html">PlayerSoundEventBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#a179f3bbad6a8ab6a21185ac9a238fe29">m_CurrentState</a></td></tr>
<tr class="separator:a179f3bbad6a8ab6a21185ac9a238fe29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5b2e0fc726e03a94975b0832dba31f9"><td class="memItemLeft" align="right" valign="top">ref Timer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#af5b2e0fc726e03a94975b0832dba31f9">m_UpdateTimer</a></td></tr>
<tr class="separator:af5b2e0fc726e03a94975b0832dba31f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="ae40d08748e52403c01d49f8987673c88" name="ae40d08748e52403c01d49f8987673c88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae40d08748e52403c01d49f8987673c88">&#9670;&#160;</a></span>EPlayerSoundEventID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88abad4a3d400bea70cb05e54c467e39815" name="ae40d08748e52403c01d49f8987673c88abad4a3d400bea70cb05e54c467e39815"></a>HOLD_BREATH&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88a7cac1fd048ef27a686ddaa84741e6cab" name="ae40d08748e52403c01d49f8987673c88a7cac1fd048ef27a686ddaa84741e6cab"></a>EXHAUSTED_BREATH&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88a419fcb0c26438212da1879efab2f62a8" name="ae40d08748e52403c01d49f8987673c88a419fcb0c26438212da1879efab2f62a8"></a>RELEASE_BREATH&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88ad669b1be048d39313c673d78456df47e" name="ae40d08748e52403c01d49f8987673c88ad669b1be048d39313c673d78456df47e"></a>STAMINA_DOWN_LIGHT&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88ae2327858a43ce17045d42cc9f0b405b0" name="ae40d08748e52403c01d49f8987673c88ae2327858a43ce17045d42cc9f0b405b0"></a>STAMINA_DOWN_HEAVY&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88a7eeada3c1dce39348f38c5c6bf9fdb42" name="ae40d08748e52403c01d49f8987673c88a7eeada3c1dce39348f38c5c6bf9fdb42"></a>STAMINA_UP_LIGHT&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88ae91797ed8edb88e9053c5c9ddfd431cd" name="ae40d08748e52403c01d49f8987673c88ae91797ed8edb88e9053c5c9ddfd431cd"></a>STAMINA_UP_HEAVY&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88a5d1940cb9d2d4ebbe1b80d488bce2956" name="ae40d08748e52403c01d49f8987673c88a5d1940cb9d2d4ebbe1b80d488bce2956"></a>STAMINA_UP_END&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88aadbf8813851a6dd7044c05e2594dcf2d" name="ae40d08748e52403c01d49f8987673c88aadbf8813851a6dd7044c05e2594dcf2d"></a>STAMINA_NORMAL_DUMMY&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88a298886144b5cf7c912108780f6adfcda" name="ae40d08748e52403c01d49f8987673c88a298886144b5cf7c912108780f6adfcda"></a>TAKING_DMG_LIGHT&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88af9c7336ea4b049921f28feabcf6dcdf1" name="ae40d08748e52403c01d49f8987673c88af9c7336ea4b049921f28feabcf6dcdf1"></a>TAKING_DMG_HEAVY&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88ab05cc97eab17620dd93b01ef99706499" name="ae40d08748e52403c01d49f8987673c88ab05cc97eab17620dd93b01ef99706499"></a>SYMPTOM_COUGH&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88a4c37a44a6b23a49814511b9fbfc98a13" name="ae40d08748e52403c01d49f8987673c88a4c37a44a6b23a49814511b9fbfc98a13"></a>SYMPTOM_LAUGHTER&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88a34b9a326c8de30b86e0f42bf797e8bca" name="ae40d08748e52403c01d49f8987673c88a34b9a326c8de30b86e0f42bf797e8bca"></a>SYMPTOM_SNEEZE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88a1f28d4392b1c1e7da2af2283632d81e1" name="ae40d08748e52403c01d49f8987673c88a1f28d4392b1c1e7da2af2283632d81e1"></a>JUMP&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88a96c99db548ffedd6457fef046fb3d986" name="ae40d08748e52403c01d49f8987673c88a96c99db548ffedd6457fef046fb3d986"></a>MELEE_ATTACK_LIGHT&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88ac2fc48b3bc6736ff390f89dd2a7ff553" name="ae40d08748e52403c01d49f8987673c88ac2fc48b3bc6736ff390f89dd2a7ff553"></a>INJURED_LIGHT&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88a5e16b6627d8f8887812b3e3a127fcad6" name="ae40d08748e52403c01d49f8987673c88a5e16b6627d8f8887812b3e3a127fcad6"></a>INJURED_MEDIUM&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88a8714844273b9eee9097baca00a121237" name="ae40d08748e52403c01d49f8987673c88a8714844273b9eee9097baca00a121237"></a>INJURED_HIGH&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88a75412e2bd8ba3afc57aea4165a1e26d3" name="ae40d08748e52403c01d49f8987673c88a75412e2bd8ba3afc57aea4165a1e26d3"></a>FREEZING&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88a5b2eed487adc23f794cf34d514dc804f" name="ae40d08748e52403c01d49f8987673c88a5b2eed487adc23f794cf34d514dc804f"></a>HOT&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88a2e10359756b031acb8c64986abd62cba" name="ae40d08748e52403c01d49f8987673c88a2e10359756b031acb8c64986abd62cba"></a>SYMPTOM_FATIGUE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88abae6f902626ccfb401146a9a6594e2fc" name="ae40d08748e52403c01d49f8987673c88abae6f902626ccfb401146a9a6594e2fc"></a>STAMINA_LOW_FILTER_UPPER&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88ae879c44fbfa1a07bdf9723192a85761b" name="ae40d08748e52403c01d49f8987673c88ae879c44fbfa1a07bdf9723192a85761b"></a>STAMINA_LOW_FILTER_MID&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88aad447df8862421eaf711c33870a770a7" name="ae40d08748e52403c01d49f8987673c88aad447df8862421eaf711c33870a770a7"></a>STAMINA_LOW_FILTER_LOWER&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88aca86827046e31a415cca40aec59c982e" name="ae40d08748e52403c01d49f8987673c88aca86827046e31a415cca40aec59c982e"></a>DROWNING_BREATH&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88a4c44a649f15455011acbb5862a6d75d9" name="ae40d08748e52403c01d49f8987673c88a4c44a649f15455011acbb5862a6d75d9"></a>DROWNING_PAIN&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ae40d08748e52403c01d49f8987673c88a3419c51ff893a0055351a7163edcb464" name="ae40d08748e52403c01d49f8987673c88a3419c51ff893a0055351a7163edcb464"></a>ENUM_COUNT&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html#l00001">1</a> of file <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html">PlayerSoundEventHandler.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="afbc0cf898c0e87750993f212a9d485d1" name="afbc0cf898c0e87750993f212a9d485d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbc0cf898c0e87750993f212a9d485d1">&#9670;&#160;</a></span>ConvertAnimIDtoEventID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ConvertAnimIDtoEventID </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>anim_id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html#l00107">107</a> of file <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html">PlayerSoundEventHandler.c</a>.</p>

</div>
</div>
<a id="aa7f9de653cd121fb2608891ce7dc22fe" name="aa7f9de653cd121fb2608891ce7dc22fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7f9de653cd121fb2608891ce7dc22fe">&#9670;&#160;</a></span>GetCurrentStateEventID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetCurrentStateEventID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html#l00117">117</a> of file <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html">PlayerSoundEventHandler.c</a>.</p>

</div>
</div>
<a id="ab514941aa875ea2e8db5576cb39b077f" name="ab514941aa875ea2e8db5576cb39b077f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab514941aa875ea2e8db5576cb39b077f">&#9670;&#160;</a></span>GetCurrentStateEventType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetCurrentStateEventType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html#l00126">126</a> of file <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html">PlayerSoundEventHandler.c</a>.</p>

</div>
</div>
<a id="aee802e755cbd1f85eeae91a6ff5549f9" name="aee802e755cbd1f85eeae91a6ff5549f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee802e755cbd1f85eeae91a6ff5549f9">&#9670;&#160;</a></span>GetSoundEventType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static override <a class="el" href="../../dd/d40/_player_sound_event_base_8c.html#a2f8cbb1a644e4997001af74fb86e1695">EPlayerSoundEventType</a> GetSoundEventType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html#l00112">112</a> of file <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html">PlayerSoundEventHandler.c</a>.</p>

</div>
</div>
<a id="ad5d7c03344a58c256752ec0476fbca54" name="ad5d7c03344a58c256752ec0476fbca54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5d7c03344a58c256752ec0476fbca54">&#9670;&#160;</a></span>OnTick()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OnTick </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>delta_time</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html#l00096">96</a> of file <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html">PlayerSoundEventHandler.c</a>.</p>

</div>
</div>
<a id="ad5419526833f767a609bcc61dcccb4c2" name="ad5419526833f767a609bcc61dcccb4c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5419526833f767a609bcc61dcccb4c2">&#9670;&#160;</a></span>PlayerSoundEventHandler()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PlayerSoundEventHandler </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html#l00047">47</a> of file <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html">PlayerSoundEventHandler.c</a>.</p>

</div>
</div>
<a id="a0a6e663098fb4b5d1b228ad930e9c86e" name="a0a6e663098fb4b5d1b228ad930e9c86e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a6e663098fb4b5d1b228ad930e9c86e">&#9670;&#160;</a></span>PlayRequest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> PlayRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a>&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>sent_from_server</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html#l00186">186</a> of file <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html">PlayerSoundEventHandler.c</a>.</p>

</div>
</div>
<a id="a69457de8322c541f2671e4df95fe891b" name="a69457de8322c541f2671e4df95fe891b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69457de8322c541f2671e4df95fe891b">&#9670;&#160;</a></span>PlayRequestEx()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> PlayRequestEx </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a>&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>sent_from_server</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>param</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html#l00135">135</a> of file <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html">PlayerSoundEventHandler.c</a>.</p>

</div>
</div>
<a id="a7ba8cb68065f9f1b712536da6aa7e4c0" name="a7ba8cb68065f9f1b712536da6aa7e4c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ba8cb68065f9f1b712536da6aa7e4c0">&#9670;&#160;</a></span>RegisterState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RegisterState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/def/class_player_sound_event_base.html">PlayerSoundEventBase</a>&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html#l00088">88</a> of file <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html">PlayerSoundEventHandler.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a02f59ef50a8dc63bfc40130dae0a1001" name="a02f59ef50a8dc63bfc40130dae0a1001"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02f59ef50a8dc63bfc40130dae0a1001">&#9670;&#160;</a></span>m_AvailableStates</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d5/def/class_player_sound_event_base.html">PlayerSoundEventBase</a> m_AvailableStates[<a class="el" href="../../d5/db4/_infected_sound_event_handler_8c.html#aae60661d07190bf13da5c55a93295501">SOUND_EVENTS_MAX</a>]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html#l00041">41</a> of file <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html">PlayerSoundEventHandler.c</a>.</p>

</div>
</div>
<a id="accde710d7b23016f91131f9f52584b24" name="accde710d7b23016f91131f9f52584b24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accde710d7b23016f91131f9f52584b24">&#9670;&#160;</a></span>m_ConfigIDToScriptIDmapping</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>,<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&gt; m_ConfigIDToScriptIDmapping = new ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>,<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html#l00042">42</a> of file <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html">PlayerSoundEventHandler.c</a>.</p>

</div>
</div>
<a id="a179f3bbad6a8ab6a21185ac9a238fe29" name="a179f3bbad6a8ab6a21185ac9a238fe29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a179f3bbad6a8ab6a21185ac9a238fe29">&#9670;&#160;</a></span>m_CurrentState</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d5/def/class_player_sound_event_base.html">PlayerSoundEventBase</a> m_CurrentState</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html#l00043">43</a> of file <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html">PlayerSoundEventHandler.c</a>.</p>

</div>
</div>
<a id="a9da29bb484e0b9d064b48de30b23eb42" name="a9da29bb484e0b9d064b48de30b23eb42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9da29bb484e0b9d064b48de30b23eb42">&#9670;&#160;</a></span>m_Player</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a> m_Player</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af5b2e0fc726e03a94975b0832dba31f9" name="af5b2e0fc726e03a94975b0832dba31f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5b2e0fc726e03a94975b0832dba31f9">&#9670;&#160;</a></span>m_UpdateTimer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref Timer m_UpdateTimer</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html#l00044">44</a> of file <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html">PlayerSoundEventHandler.c</a>.</p>

</div>
</div>
<a id="a2145a41ed6ebb910b3b7b09ff5889f60" name="a2145a41ed6ebb910b3b7b09ff5889f60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2145a41ed6ebb910b3b7b09ff5889f60">&#9670;&#160;</a></span>SOUND_EVENTS_MAX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> SOUND_EVENTS_MAX = <a class="el" href="../../d5/db4/_infected_sound_event_handler_8c.html#a41dace62081b7f7d505df9610a9576ffa3419c51ff893a0055351a7163edcb464">EPlayerSoundEventID.ENUM_COUNT</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html#l00040">40</a> of file <a class="el" href="../../d5/d1b/_player_sound_event_handler_8c_source.html">PlayerSoundEventHandler.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_78582fda97199c57cc221ad43f65edbb.html">SoundEvents</a></li><li class="navelem"><a class="el" href="../../dir_146c2ee5711a6aff27f2a707240475a0.html">PlayerSoundEvents</a></li><li class="navelem"><a class="el" href="../../d5/d1b/_player_sound_event_handler_8c.html">PlayerSoundEventHandler.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
